----------------------------------------------------------
--					EditItemProperties()
----------------------------------------------------------
function EditItemProperties()
	this:CloseDynamicWindow("editItemProperties")
  	this:RequestClientTargetGameObj(this, "editItemProperties")
  	this:SystemMessage("target a item you wish to examine...")
end

--#########################################################
--				 DYNAMIC WINDOW FUNCTIONS
--#########################################################
--- this will draw the close button on a dynamic window
-- @param x - this is the x location to draw the close button at
-- @param y - this is the y location to draw the close button at
-- @param dynamicWindow - this is the dynamic window to attach the close button too
function DrawCloseButton(x,y,dynamicWindow)
    --border background color
    dynamicWindow:AddImage(x,y,"HueSwatch",18,18,"Sliced","555555")
    --background color
    dynamicWindow:AddImage(x+2,y+2,"HueSwatch",14,14,"Sliced","252525")
    --invisible button
    dynamicWindow:AddButton(x,y,"close_button","",18,18,"[4488CC]Close Button\n[959555]clicking this will close the item property window.","",true,"Invisible")
    --draw the "X" string
    dynamicWindow:AddLabel(x+5,y+3,"[959555]X",18,18,18,"left")
end

----------------------------------------------------------
--			ShowItemPropertyWindow(user,item,page)
----------------------------------------------------------
--- this shows the item property dynamic window
-- @param user - player to open the dynamic window for
-- @param item - object which has the item_properties table objvar
-- @param page - the page of properties to view
function ShowItemPropertyWindow(user,item,page)
	if(page == nil) then page = "Standard" end
	local properties = item:GetObjVar("MagicProperties")
	if(properties == nil) then
		properties = ItemProperties.PropertyTable
		item:SetObjVar("MagicProperties",properties)
	end
	local dynamicWindow = DynamicWindow("ItemPropertyWindow","[BBBB44]Gizmo's Equipment Editor",600,360,-250,-180,"TransparentDraggable","Center")

 	--Create Background
    dynamicWindow:AddImage(1,1,"HueSwatch",600,310,"Simple","050505")
    --Create Header Background
    dynamicWindow:AddImage(1,1,"HueSwatch",600,34,"Simple","353535")
    DrawCloseButton(571,9,dynamicWindow,"MerchantDialog")
    --Create Header Panel
    dynamicWindow:AddImage(-2,-2,"CraftingItemsFrame",606,40,"Sliced","757575")
    --presteam properties
	if(page == "Standard") then
		dynamicWindow:AddLabel(15,45,"[BBBB44]Name",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(107,45,465,20,"text_field_name",item:GetName())

		dynamicWindow:AddLabel(15,75,"[BBBB44]Hue",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(107,75,180,20,"text_field_hue",tostring(item:GetHue()))

		dynamicWindow:AddLabel(300,75,"[BBBB44]Color",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(392,75,180,20,"text_field_color",item:GetColor())

		dynamicWindow:AddLabel(15,105,"[BBBB44]Weight",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(107,105,180,20,"text_field_weight",tostring(GetWeight(item)))

		dynamicWindow:AddLabel(300,105,"[BBBB44]Durability",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(392,105,180,20,"text_field_maxdurability",tostring(item:GetObjVar("MaxDurability")))

		dynamicWindow:AddLabel(15,135,"[BBBB44]Lore",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(107,135,465,120,"text_field_lore",tostring(item:GetObjVar("LoreString") or ""))

		dynamicWindow:AddButton(15,275,"ScriptIt:"..item.Id..":"..page,"",130,28,"[4488CC]Script This Item\n[FFFFBB]create this item in xml format to make a permanent object out of it",nil,true,"Invisible")
		dynamicWindow:AddLabel(37,275,"[4488CC]Create Me",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")

		dynamicWindow:AddButton(440,275,"ApplyChangesStandard:"..item.Id..":"..page,"",130,28,"[4488CC]Apply Changes\n[FFFFBB]after making changes in the text box, click this to save the changes to the item table.",nil,false,"Invisible")
		dynamicWindow:AddLabel(456,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
	end
	if(page == "Primary") then
		dynamicWindow:AddLabel(18,65,"[BBBB44]Strength",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,63,100,20,"StrengthPlus",tostring(properties["StrengthPlus"]))
		dynamicWindow:AddTextField(285,63,100,20,"StrengthTimes",tostring(properties["StrengthTimes"]))

		dynamicWindow:AddLabel(18,95,"[BBBB44]Agility",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,93,100,20,"AgilityPlus",tostring(properties["AgilityPlus"]))	
		dynamicWindow:AddTextField(285,93,100,20,"AgilityTimes",tostring(properties["AgilityTimes"]))	

		dynamicWindow:AddLabel(18,125,"[BBBB44]Constitution",112,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,123,100,20,"ConstitutionPlus",tostring(properties["ConstitutionPlus"]))
		dynamicWindow:AddTextField(285,123,100,20,"ConstitutionTimes",tostring(properties["ConstitutionTimes"]))

		dynamicWindow:AddLabel(18,155,"[BBBB44]Intelligence",112,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,153,100,20,"IntelligencePlus",tostring(properties["IntelligencePlus"]))
		dynamicWindow:AddTextField(285,153,100,20,"IntelligenceTimes",tostring(properties["IntelligenceTimes"]))

		dynamicWindow:AddLabel(18,185,"[BBBB44]Wisdom",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,183,100,20,"WisdomPlus",tostring(properties["WisdomPlus"]))
		dynamicWindow:AddTextField(285,183,100,20,"WisdomTimes",tostring(properties["WisdomTimes"]))

		dynamicWindow:AddLabel(18,215,"[BBBB44]Will",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,213,100,20,"WillPlus",tostring(properties["WillPlus"]))
		dynamicWindow:AddTextField(285,213,100,20,"WillTimes",tostring(properties["WillTimes"]))

		dynamicWindow:AddButton(440,269,"ApplyChangesPrimary:"..item.Id..":"..page,"",130,28,"[FF7700]Apply Changes\n[FFFFBB]after making changes in the text box, click this to save the changes to the item table.",nil,false,"Invisible")
		dynamicWindow:AddLabel(456,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
							
		dynamicWindow:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end

	if(page == "Combat") then
		dynamicWindow:AddLabel(18,65,"[BBBB44]Accuracy",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,63,100,20,"AccuracyPlus",tostring(properties["AccuracyPlus"]))
		dynamicWindow:AddTextField(285,63,100,20,"AccuracyTimes",tostring(properties["AccuracyTimes"]))

		dynamicWindow:AddLabel(18,95,"[BBBB44]Defense",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,93,100,20,"DefensePlus",tostring(properties["DefensePlus"]))
		dynamicWindow:AddTextField(285,93,100,20,"DefenseTimes",tostring(properties["DefenseTimes"]))

		dynamicWindow:AddLabel(18,125,"[BBBB44]Evasion",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,123,100,20,"EvasionPlus",tostring(properties["EvasionPlus"]))
		dynamicWindow:AddTextField(285,123,100,20,"EvasionTimes",tostring(properties["EvasionTimes"]))

		dynamicWindow:AddLabel(18,155,"[BBBB44]Movement",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,153,100,20,"MoveSpeedPlus",tostring(properties["MoveSpeedPlus"]))
		dynamicWindow:AddTextField(285,153,100,20,"MoveSpeedTimes",tostring(properties["MoveSpeedTimes"]))

		dynamicWindow:AddLabel(18,185,"[BBBB44]Attack Speed",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,183,100,20,"AttackSpeedPlus",tostring(properties["AttackSpeedPlus"]))
		dynamicWindow:AddTextField(285,183,100,20,"AttackSpeedTimes",tostring(properties["AttackSpeedTimes"]))


		dynamicWindow:AddButton(440,269,"ApplyChangesCombat:"..item.Id..":"..page,"",130,28,"[FF7700]Apply Changes\n[FFFFBB]after making changes in the text box, click this to save the changes to the item table.",nil,false,"Invisible")
		dynamicWindow:AddLabel(456,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
							
		dynamicWindow:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end
	if(page == "Damage") then
		dynamicWindow:AddLabel(18,65,"[BBBB44]Attack",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,63,100,20,"AttackPlus",tostring(properties["AttackPlus"]))
		dynamicWindow:AddTextField(285,63,100,20,"AttackTimes",tostring(properties["AttackTimes"]))

		dynamicWindow:AddLabel(18,95,"[BBBB44]Force",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,93,100,20,"ForcePlus",tostring(properties["ForcePlus"]))	
		dynamicWindow:AddTextField(285,93,100,20,"ForceTimes",tostring(properties["ForceTimes"]))	

		dynamicWindow:AddLabel(18,125,"[BBBB44]Power",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,123,100,20,"PowerPlus",tostring(properties["PowerPlus"]))
		dynamicWindow:AddTextField(285,123,100,20,"PowerTimes",tostring(properties["PowerTimes"]))

		dynamicWindow:AddButton(440,269,"ApplyChangesDamage:"..item.Id..":"..page,"",130,28,"[FF7700]Apply Changes\n[FFFFBB]after making changes in the text box, click this to save the changes to the item table.",nil,false,"Invisible")
		dynamicWindow:AddLabel(456,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")			
							
		dynamicWindow:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end	

	if(page == "Resource") then
		dynamicWindow:AddLabel(18,65,"[BBBB44]Max Health",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,63,100,20,"MaxHealthPlus",tostring(properties["MaxHealthPlus"]))
		dynamicWindow:AddTextField(285,63,100,20,"MaxHealthTimes",tostring(properties["MaxHealthTimes"]))

		dynamicWindow:AddLabel(18,95,"[BBBB44]Max Mana",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,93,100,20,"MaxManaPlus",tostring(properties["MaxManaPlus"]))	
		dynamicWindow:AddTextField(285,93,100,20,"MaxManaTimes",tostring(properties["MaxManaTimes"]))	

		dynamicWindow:AddLabel(18,125,"[BBBB44]Max Stamina",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,123,100,20,"MaxStaminaPlus",tostring(properties["MaxStaminaPlus"]))
		dynamicWindow:AddTextField(285,123,100,20,"MaxStaminaTimes",tostring(properties["MaxStaminaTimes"]))

		dynamicWindow:AddLabel(18,155,"[BBBB44]Max Vitality",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,153,100,20,"MaxVitalityPlus",tostring(properties["MaxVitalityPlus"]))
		dynamicWindow:AddTextField(285,153,100,20,"MaxVitalityTimes",tostring(properties["MaxVitalityTimes"]))

		dynamicWindow:AddLabel(18,185,"[BBBB44]Health Regen",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,183,100,20,"HealthRegenPlus",tostring(properties["HealthRegenPlus"]))
		dynamicWindow:AddTextField(285,183,100,20,"HealthRegenTimes",tostring(properties["HealthRegenTimes"]))

		dynamicWindow:AddLabel(18,215,"[BBBB44]Mana Regen",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,213,100,20,"ManaRegenPlus",tostring(properties["ManaRegenPlus"]))
		dynamicWindow:AddTextField(285,213,100,20,"ManaRegenTimes",tostring(properties["ManaRegenTimes"]))

		dynamicWindow:AddLabel(18,245,"[BBBB44]Stamina Regen",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,243,100,20,"StaminaRegenPlus",tostring(properties["StaminaRegenPlus"]))
		dynamicWindow:AddTextField(285,243,100,20,"StaminaRegenTimes",tostring(properties["StaminaRegenTimes"]))

		dynamicWindow:AddButton(440,269,"ApplyChangesResource:"..item.Id..":"..page,"",130,28,"[FF7700]Apply Changes\n[FFFFBB]after making changes in the text box, click this to save the changes to the item table.",nil,false,"Invisible")
		dynamicWindow:AddLabel(456,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
							
		dynamicWindow:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end
	--post steam properties
	if(page == "Reduction") then
		--left side column
		dynamicWindow:AddLabel(18,65,"[BBBB44]Animal",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,63,100,20,"AnimalDamageReductionTimes",tostring(properties["AnimalDamageReductionTimes"]))

		dynamicWindow:AddLabel(18,95,"[BBBB44]Arachnid",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,93,100,20,"ArachnidDamageReductionTimes",tostring(properties["ArachnidDamageReductionTimes"]))	

		dynamicWindow:AddLabel(18,125,"[BBBB44]Bashing",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,123,100,20,"BashingDamageReductionTimes",tostring(properties["BashingDamageReductionTimes"]))

		dynamicWindow:AddLabel(18,155,"[BBBB44]Bow",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,153,100,20,"BowDamageReductionTimes",tostring(properties["BowDamageReductionTimes"]))

		dynamicWindow:AddLabel(18,185,"[BBBB44]Demon",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,183,100,20,"DemonDamageReductionTimes",tostring(properties["DemonDamageReductionTimes"]))

		dynamicWindow:AddLabel(18,215,"[BBBB44]Dragon",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,213,100,20,"DragonDamageReductionTimes",tostring(properties["DragonDamageReductionTimes"]))

		dynamicWindow:AddLabel(18,245,"[BBBB44]Ent",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,243,100,20,"EntDamageReductionTimes",tostring(properties["EntDamageReductionTimes"]))

		dynamicWindow:AddLabel(18,275,"[BBBB44]Giant",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,273,100,20,"GiantDamageReductionTimes",tostring(properties["GiantDamageReductionTimes"]))

		--right side column
		dynamicWindow:AddLabel(292,65,"[BBBB44]Humanoid",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(424,63,100,20,"HumanoidDamageReductionTimes",tostring(properties["HumanoidDamageReductionTimes"]))

		dynamicWindow:AddLabel(292,95,"[BBBB44]Magic",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(424,93,100,20,"MagicDamageReductionTimes",tostring(properties["MagicDamageReductionTimes"]))	

		dynamicWindow:AddLabel(292,125,"[BBBB44]Ork",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(424,123,100,20,"OrkDamageReductionTimes",tostring(properties["OrkDamageReductionTimes"]))

		dynamicWindow:AddLabel(292,155,"[BBBB44]Piercing",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(424,153,100,20,"PiercingDamageReductionTimes",tostring(properties["PiercingDamageReductionTimes"]))

		dynamicWindow:AddLabel(292,185,"[BBBB44]Reptile",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(424,183,100,20,"ReptileDamageReductionTimes",tostring(properties["ReptileDamageReductionTimes"]))

		dynamicWindow:AddLabel(292,215,"[BBBB44]Slashing",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(424,213,100,20,"SlashingDamageReductionTimes",tostring(properties["SlashingDamageReductionTimes"]))

		dynamicWindow:AddLabel(292,245,"[BBBB44]Undead",122,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(424,243,100,20,"UndeadDamageReductionTimes",tostring(properties["UndeadDamageReductionTimes"]))

		dynamicWindow:AddButton(440,269,"ApplyChangesReduction:"..item.Id..":"..page,"",130,28,"[FF7700]Apply Changes\n[FFFFBB]after making changes in the text box, click this to save the changes to the item table.",nil,false,"Invisible")
		dynamicWindow:AddLabel(456,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
							
		dynamicWindow:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(165,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(290,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(429,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end	

	if(page == "Other") then
		dynamicWindow:AddLabel(18,65,"[BBBB44]Increased Magic Taken",122,20,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,63,100,20,"MagicDamageTakenPlus",tostring(properties["MagicDamageTakenPlus"]))
		dynamicWindow:AddTextField(285,63,100,20,"MagicDamageTakenTimes",tostring(properties["MagicDamageTakenTimes"]))

		dynamicWindow:AddLabel(18,95,"[BBBB44]Increased Physical Taken",122,20,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,93,100,20,"PhysicalDamageTakenPlus",tostring(properties["PhysicalDamageTakenPlus"]))	
		dynamicWindow:AddTextField(285,93,100,20,"PhysicalDamageTakenTimes",tostring(properties["PhysicalDamageTakenTimes"]))	

		dynamicWindow:AddLabel(18,125,"[BBBB44]Healing Received",122,20,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,123,100,20,"HealingReceivedPlus",tostring(properties["HealingReceivedPlus"]))
		dynamicWindow:AddTextField(285,123,100,20,"HealingReceivedTimes",tostring(properties["HealingReceivedTimes"]))

		--project phoenix custom modifiers
		dynamicWindow:AddLabel(18,155,"[BBBB44]Lower Reagent Cost",1222,20,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddTextField(160,153,100,20,"LowerReagentCost",tostring(properties["LowerReagentCost"]))

		dynamicWindow:AddButton(440,269,"ApplyChangesOther:"..item.Id..":"..page,"",130,28,"[FF7700]Apply Changes\n[FFFFBB]after making changes in the text box, click this to save the changes to the item table.",nil,false,"Invisible")
		dynamicWindow:AddLabel(456,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")			
							
		dynamicWindow:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		dynamicWindow:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end	

	if(page == "Standard") then
		dynamicWindow:AddButton(13,4,"ShowStandard:"..item.Id,"",77,28,"[4488CC]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"Invisible","pressed")
		dynamicWindow:AddLabel(13,10, "[4488CC]Standard",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		dynamicWindow:AddButton(13,4,"ShowStandard:"..item.Id,"",77,28,"[4488CC]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"Invisible")
		dynamicWindow:AddLabel(13,10, "[BBBB44]Standard",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")	
	end
	if(page == "Primary") then
		dynamicWindow:AddButton(93,4,"ShowPrimary:"..item.Id,"",77,28,"[4488CC]Switch to Primary\n[FFFFBB]switch to primary item properties",nil,false,"Invisible","pressed")
		dynamicWindow:AddLabel(93,10,"[4488CC]Primary",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		dynamicWindow:AddButton(93,4,"ShowPrimary:"..item.Id,"",77,28,"[4488CC]Switch to Primary\n[FFFFBB]switch to primary item properties",nil,false,"Invisible")
		dynamicWindow:AddLabel(93,10,"[BBBB44]Primary",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end
	if(page == "Combat") then
		dynamicWindow:AddButton(173,4,"ShowCombat:"..item.Id,"",77,28,"[4488CC]Switch to Combat\n[FFFFBB]switch to combat item properties",nil,false,"Invisible","pressed")
		dynamicWindow:AddLabel(173,10,"[4488CC]Combat",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		dynamicWindow:AddButton(173,4,"ShowCombat:"..item.Id,"",77,28,"[4488CC]Switch to Combat\n[FFFFBB]switch to combat item properties",nil,false,"Invisible")
		dynamicWindow:AddLabel(173,10,"[BBBB44]Combat",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end
	if(page == "Damage") then
		dynamicWindow:AddButton(253,4,"ShowDamage:"..item.Id,"",77,28,"[4488CC]Switch to Damage\n[FFFFBB]switch to damage item properties",nil,false,"Invisible","pressed")
		dynamicWindow:AddLabel(253,10,"[4488CC]Damage",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")	
	else
		dynamicWindow:AddButton(253,4,"ShowDamage:"..item.Id,"",77,28,"[4488CC]Switch to Damage\n[FFFFBB]switch to damage item properties",nil,false,"Invisible")
		dynamicWindow:AddLabel(253,10,"[BBBB44]Damage",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")	
	end
	if(page == "Resource") then
		dynamicWindow:AddButton(333,4,"ShowResource:"..item.Id,"",77,28,"[4488CC]Switch to Resource\n[FFFFBB]switch to resource item properties",nil,false,"Invisible","pressed")
		dynamicWindow:AddLabel(333,10,"[4488CC]Resource",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		dynamicWindow:AddButton(333,4,"ShowResource:"..item.Id,"",77,28,"[4488CC]Switch to Resource\n[FFFFBB]switch to resource item properties",nil,false,"Invisible")
		dynamicWindow:AddLabel(333,10,"[BBBB44]Resource",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end
	if(page == "Reduction") then
		dynamicWindow:AddButton(413,4,"ShowReduction:"..item.Id,"",87,28,"[4488CC]Switch to Reduction\n[FFFFBB]switch to reduction item properties",nil,false,"Invisible","pressed")
		dynamicWindow:AddLabel(413,10,"[4488CC]Reduction",87,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		dynamicWindow:AddButton(413,4,"ShowReduction:"..item.Id,"",87,28,"[4488CC]Switch to Reduction\n[FFFFBB]switch to reduction item properties",nil,false,"Invisible")
		dynamicWindow:AddLabel(413,10,"[BBBB44]Reduction",87,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end	
	if(page == "Other") then
		dynamicWindow:AddButton(503,4,"ShowOther:"..item.Id,"",67,28,"[4488CC]Switch to Other\n[FFFFBB]switch to other item properties",nil,false,"Invisible","pressed")
		dynamicWindow:AddLabel(503,10,"[4488CC]Other",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		dynamicWindow:AddButton(503,4,"ShowOther:"..item.Id,"",67,28,"[4488CC]Switch to Other\n[FFFFBB]switch to other item properties",nil,false,"Invisible")
		dynamicWindow:AddLabel(503,10,"[BBBB44]Other",77,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end	
    --Create Body Panel
    dynamicWindow:AddImage(-2,30,"CraftingItemsFrame",606,285,"Sliced","757575")

	user:OpenDynamicWindow(dynamicWindow,this)	
end
----------------------------------------------------------
--				ExportToXml(fullpath,user,item)
----------------------------------------------------------
--- export the item to a xml file
-- @param fullpath - the full filepath to save too
-- @param user - admin to send verification string to the chat console
-- @param item - the item to get the save data from
function ExportToXml(fullpath,user,item)
	local file = io.open(fullpath,"w")

	file:write("<ObjectTemplate>\n")

	file:write("\t<Name>" .. item:GetName() .. "</Name>\n")
	file:write("\t<ClientId>" .. tostring(item:GetIconId()) .. "</ClientId>\n")
	file:write("\t<Hue>" .. item:GetHue() .. "</Hue>\n")
	file:write("\t<Color>".. item:GetColor() .. "</Color>\n")
	--LORE HERE
	local lore = item:GetObjVar("LoreString") or false
	if(lore) then
		file:write("\t<SharedStateEntry name=\"TooltipString\" type=\"string\" value=\"" .. lore .. "\"/>\n")
	end
	file:write("\t<SharedStateEntry name=\"Weight\" type=\"int\" value=\"" .. GetWeight(item).. "\"/>\n")
	file:write("\t<ObjectVariableComponent>\n")

	if(item:HasObjVar("WeaponType")) then
		file:write("\t\t<StringVariable Name=\"WeaponType\">" .. item:GetObjVar("WeaponType") .. "</StringVariable>\n")
	elseif(item:HasObjVar("ArmorType")) then
		file:write("\t\t<StringVariable Name=\"ArmorType\">" .. item:GetObjVar("ArmorType") .. "</StringVariable>\n")
	elseif(item:HasObjVar("ShieldType")) then
		file:write("\t\t<StringVariable Name=\"ShieldType\">" .. item:GetObjVar("ShieldType") .. "</StringVariable>\n")
	end

	if(item:HasObjVar("MaxDurability")) then
		if(item:GetObjVar("MaxDurability") ~= nil) then
			file:write("\t\t<DoubleVariable Name=\"MaxDurability\">" .. item:GetObjVar("MaxDurability") .. "</DoubleVariable>\n")
		end
	end

	file:write("\t</ObjectVariableComponent>\n")
	file:write("\t<ScriptEngineComponent>\n")

	if(item:HasModule("armor_base")) then
		file:write("\t\t<LuaModule Name=\"armor_base\"/>\n")
	end

	file:write("\t\t<LuaModule Name=\"item_properties.item_properties\">\n")
	file:write("\t\t\t<Initializer>\n")
	file:write("\t\t\t{\n")
	print("Writing Item Properties....")
	WriteItemProperties(file,item)
	file:write("\t\t\t}\n")
	file:write("\t\t\t</Initializer>\n")
	file:write("\t\t</LuaModule>\n")
	file:write("\t</ScriptEngineComponent>\n")
	file:write("</ObjectTemplate>")
	file:close()

	user:SystemMessage("[FF7700]"..fullpath.."[FFFFBB]... scripted and saved!")
end

----------------------------------------------------------
--				WriteItemProperties(file)
----------------------------------------------------------
--- export the item to a xml file
-- @param file - filestream to write too
-- @param item - the item to get the save data from
function WriteItemProperties(file,item)
	for prop,value in pairs(item:GetObjVar("MagicProperties")) do
		if(tonumber(value) > 0) then
			file:write("\t\t\t\t"..prop.." = " .. value .. ",\n")
		end
	end
end

--- export helper function for handeling the magicProperties table
-- @param user - filestream to write too
-- @param gameObject - the item to get the save data from
-- @param textField - the textField parameter from the UI text field
-- @param menuPage - the page value of the current menu page
function ChangeItemProperties(user,gameObject,textField,menuPage)
	if(gameObject ~= nil) then
		local magicProperties = gameObject:GetObjVar("MagicProperties")
		for mobileMod,value in pairs(magicProperties) do
			if(textField[mobileMod] ~= nil)	then
				magicProperties[mobileMod] = tonumber(textField[mobileMod])
			end
		end
		gameObject:SetObjVar("MagicProperties",magicProperties)
		CallFunctionDelayed(TimeSpan.FromSeconds(1),function()
			ShowItemPropertyWindow(user,gameObject,menuPage)
			ItemProperties.UpdateItemTooltip(gameObject)
		end)
	else
		user:SystemMessage("[CC4400]ERROR: Invalid Game Object in ChangeItemProperties in scripts/commands/item_properties/scriptcommands_item_properties.lua")
	end
end

----------------------------------------------------------
--EVENTTYPE - ClientTargetGameObjResponse - "editItemProperties"
----------------------------------------------------------
RegisterEventHandler(EventType.ClientTargetGameObjResponse, "editItemProperties", 
function(target)
	if not (target:HasObjVar("MagicProperties")) then
		target:SetObjVar("MagicProperties",propertyBonusValues)
		ShowItemPropertyWindow(this,target)
		return
	end
	ShowItemPropertyWindow(this,target)
end)

----------------------------------------------------------
--EVENTTYPE - DynamicWindowResponse - "ItemPropertyWindow"
----------------------------------------------------------
--this is the item property dynamicWindow dialog event handler
RegisterEventHandler(EventType.DynamicWindowResponse,"ItemPropertyWindow", 
	function (user,buttonId,textField)
		local buttonData = StringSplit(buttonId,":")
		local button = buttonData[1]
		local objectId = buttonData[2]
		--pre steam mobile modifier categories
		if(button=="ShowStandard") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Standard")
		end
		if(button=="ShowPrimary") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Primary")
		end	
		if(button=="ShowCombat") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Combat")
		end
		if(button=="ShowDamage") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Damage")
		end
		if(button=="ShowResource") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Resource")
		end
		--post steam mobile modifier categories
		if(button=="ShowReduction") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Reduction")
		end
		if(button=="ShowOther") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Other")
		end
		--pre steam mobile modifiers				
		if(button=="ApplyChangesPrimary") then
			ChangeItemProperties(user,GameObj(tonumber(objectId)),textField,buttonData[3])
		end

		if(button=="ApplyChangesCombat") then
			ChangeItemProperties(user,GameObj(tonumber(objectId)),textField,buttonData[3])
		end

		if(button=="ApplyChangesDamage") then
			ChangeItemProperties(user,GameObj(tonumber(objectId)),textField,buttonData[3])
		end

		if(button=="ApplyChangesResource") then
			ChangeItemProperties(user,GameObj(tonumber(objectId)),textField,buttonData[3])
		end
		--post steam mobile modifiers	
		if(button=="ApplyChangesReduction") then
			ChangeItemProperties(user,GameObj(tonumber(objectId)),textField,buttonData[3])
		end

		if(button=="ApplyChangesStandard") then	
			local gameObject = GameObj(tonumber(objectId)) or nil
			if(gameObject ~= nil) then		
				gameObject:SetName(textField.text_field_name)
				gameObject:SetHue(tonumber(textField.text_field_hue))
				gameObject:SetColor(textField.text_field_color)
				gameObject:SetSharedObjectProperty("Weight",textField.text_field_weight)
				gameObject:SetObjVar("MaxDurability", textField.text_field_maxdurability)
				if(textField.text_field_lore ~= "") then
					gameObject:SetObjVar("LoreString",textField.text_field_lore)
				else
					if(gameObject:HasObjVar("ItemLore") == true) then gameObject:DelObjVar("ItemLore") end
				end				
				CallFunctionDelayed(TimeSpan.FromSeconds(1),function()ShowItemPropertyWindow(user,gameObject,buttonData[3])end)
				ItemProperties.UpdateItemTooltip(gameObject)
			end			
		end

		if(button=="ScriptIt") then
			local gameObject = GameObj(tonumber(objectId)) or nil
			if(gameObject ~= nil) then		
				local name, color = StripColorFromString(gameObject:GetName())
				local name = name:lower()
				local filename = string.gsub(name," ","_")
				filename = string.gsub(filename,"'","")
				local fullpath = EditedInGameItemSaveDirectory .. filename .. ".xml"
				ExportToXml(fullpath,user,gameObject)
				--load the editor back up
				CallFunctionDelayed(TimeSpan.FromSeconds(0.5),function()ShowItemPropertyWindow(user,gameObject,buttonData[3])end)
				--update the new item properties on the saved object
				ItemProperties.UpdateItemTooltip(gameObject)
			end
		end
	end)
